# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.IGrid

Packages that use IGrid
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of IGrid in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return IGrid
Modifier and Type
Method
Description
`IGrid`
IReportDesign.`getGrid(String name)`
method to get a grid item by name

## Uses of IGrid in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IGrid
Modifier and Type
Method
Description
`void`
GridEventAdapter.`onPrepare(IGrid grid, IReportContext reportContext)`

## Uses of IGrid in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IGrid
Modifier and Type
Method
Description
`void`
IGridEventHandler.`onPrepare(IGrid grid, IReportContext reportContext)`
Handle the onPrepare event